package cn.iocoder.yudao.module.system.service.reservation;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.ReservationBedPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.ReservationBedRespVO;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.ReservationBedSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.reservation.ReservationBedDO;

/**
 * 长者预约床位 Service 接口
 *
 * @author 系统管理员
 */
public interface ReservationBedService {


    void createReservationBed(ReservationBedSaveReqVO createReqVO);

    ReservationBedRespVO getReservationBed(Long id);

    PageResult<ReservationBedDO> getReservationBedPage(ReservationBedPageReqVO pageReqVO);

    void updateReservationBed(ReservationBedSaveReqVO updateReqVO);

    void closeReservationBed(Long id);
}